## net.sourceforge.pmd.parsers
Interface Parser

All Known Implementing Classes:
  Java13Parser, Java14Parser, Java15Parser, JspParser

public interface Parser

Common interface for calling tree-building parsers or source files.

Author:
  Pieter_Van_Raemdonck - Application Engineers NV/SA - www.ae.be

Method Summary
`java.lang.Object` `parse(java.io.Reader source)` Parse source code and return the root node of the AST.

Method Detail

### parse

    public java.lang.Object parse(java.io.Reader source)
                           throws ParseException

  Parse source code and return the root node of the AST.

  Parameters:
    `source` - Reader that provides the source code of a compilation unit
  Returns:
    the root node of the AST that is built from the source code
  Throws:
    `ParseException` - In case the source code could not be parsed, probably due to syntactical errors.

Copyright © 2002-2006 InfoEther. All Rights Reserved.